PipeWire: Debug

PipeWire 1.0.3

Loading...
Searching...
No Matches
Files | Data Structures | Macros | Functions
Debug
SPA

Debugging utilities More...

## Files
file | buffer.h
| `spa/debug/buffer.h`
file | context.h
| `spa/debug/context.h`
file | dict.h
| `spa/debug/dict.h`
file | format.h
| `spa/debug/format.h`
file | log.h
| `spa/debug/log.h`
file | mem.h
| `spa/debug/mem.h`
file | node.h
| `spa/debug/node.h`
file | pod.h
| `spa/debug/pod.h`
file | types.h
| `spa/debug/types.h`

## Data Structures
struct | spa_debug_context
struct | spa_debug_log_ctx

## Macros
#define | spa_debugn(_fmt, ...) printf((_fmt), ## __VA_ARGS__)
#define | spa_debug(_fmt, ...) spa_debugn(_fmt"\n", ## __VA_ARGS__)
#define | spa_debugc(_c, _fmt, ...) (_c)?((_c)->log((_c),_fmt, ## __VA_ARGS__)):(void)spa_debug(_fmt, ## __VA_ARGS__)
#define | SPA_LOGF_DEBUG_INIT(_l, _lev, _t, _file, _line, _func)
#define | SPA_LOGT_DEBUG_INIT(_l, _lev, _t) SPA_LOGF_DEBUG_INIT(_l,_lev,_t,__FILE__,__LINE__,__func__)
#define | SPA_LOG_DEBUG_INIT(l, lev) SPA_LOGT_DEBUG_INIT(l,lev,SPA_LOG_TOPIC_DEFAULT)
#define | spa_debug_log_pod(l, lev, indent, info, pod)
#define | spa_debug_log_format(l, lev, indent, info, format)
#define | spa_debug_log_mem(l, lev, indent, data, len)
#define | spa_debug_log_dict(l, lev, indent, dict)

## Functions
static int | spa_debugc_buffer (struct spa_debug_context *ctx, int indent, const struct spa_buffer *buffer)
static int | spa_debug_buffer (int indent, const struct spa_buffer *buffer)
static int | spa_debugc_dict (struct spa_debug_context *ctx, int indent, const struct spa_dict *dict)
static int | spa_debug_dict (int indent, const struct spa_dict *dict)
static int | spa_debug_strbuf_format_value (struct spa_strbuf *buffer, const struct spa_type_info *info, uint32_t type, void *body, uint32_t size)
static int | spa_debug_format_value (const struct spa_type_info *info, uint32_t type, void *body, uint32_t size)
static int | spa_debugc_format (struct spa_debug_context *ctx, int indent, const struct spa_type_info *info, const struct spa_pod *format)
static int | spa_debug_format (int indent, const struct spa_type_info *info, const struct spa_pod *format)
static void | spa_debug_log_log (struct spa_debug_context *ctx, const char *fmt,...)
static int | spa_debugc_mem (struct spa_debug_context *ctx, int indent, const void *data, size_t size)
static int | spa_debug_mem (int indent, const void *data, size_t size)
static int | spa_debugc_port_info (struct spa_debug_context *ctx, int indent, const struct spa_port_info *info)
static int | spa_debug_port_info (int indent, const struct spa_port_info *info)
static int | spa_debugc_pod_value (struct spa_debug_context *ctx, int indent, const struct spa_type_info *info, uint32_t type, void *body, uint32_t size)
static int | spa_debugc_pod (struct spa_debug_context *ctx, int indent, const struct spa_type_info *info, const struct spa_pod *pod)
static int | spa_debug_pod_value (int indent, const struct spa_type_info *info, uint32_t type, void *body, uint32_t size)
static int | spa_debug_pod (int indent, const struct spa_type_info *info, const struct spa_pod *pod)
static const struct spa_type_info * | spa_debug_type_find (const struct spa_type_info *info, uint32_t type)
static const char * | spa_debug_type_short_name (const char *name)
static const char * | spa_debug_type_find_name (const struct spa_type_info *info, uint32_t type)
static const char * | spa_debug_type_find_short_name (const struct spa_type_info *info, uint32_t type)
static uint32_t | spa_debug_type_find_type (const struct spa_type_info *info, const char *name)
static const struct spa_type_info * | spa_debug_type_find_short (const struct spa_type_info *info, const char *name)
static uint32_t | spa_debug_type_find_type_short (const struct spa_type_info *info, const char *name)

## Detailed Description

Debugging utilities

## Macro Definition Documentation

## ◆ spa_debugn

#define spa_debugn | ( |  | _fmt,
|  |  | ... ) printf((_fmt), ## __VA_ARGS__)

## ◆ spa_debug

#define spa_debug | ( |  | _fmt,
|  |  | ... ) spa_debugn(_fmt"\n", ## __VA_ARGS__)

## ◆ spa_debugc

#define spa_debugc | ( |  | _c,
|  |  | _fmt,
|  |  | ... ) (_c)?((_c)->log((_c),_fmt, ## __VA_ARGS__)):(void)spa_debug(_fmt, ## __VA_ARGS__)

## ◆ SPA_LOGF_DEBUG_INIT

#define SPA_LOGF_DEBUG_INIT | ( |  | _l,
|  |  | _lev,
|  |  | _t,
|  |  | _file,
|  |  | _line,
|  |  | _func )

## ◆ SPA_LOGT_DEBUG_INIT

#define SPA_LOGT_DEBUG_INIT | ( |  | _l,
|  |  | _lev,
|  |  | _t ) SPA_LOGF_DEBUG_INIT(_l,_lev,_t,__FILE__,__LINE__,__func__)

## ◆ SPA_LOG_DEBUG_INIT

#define SPA_LOG_DEBUG_INIT | ( |  | l,
|  |  | lev ) SPA_LOGT_DEBUG_INIT(l,lev,SPA_LOG_TOPIC_DEFAULT)

## ◆ spa_debug_log_pod

#define spa_debug_log_pod | ( |  | l,
|  |  | lev,
|  |  | indent,
|  |  | info,
|  |  | pod )

## ◆ spa_debug_log_format

#define spa_debug_log_format | ( |  | l,
|  |  | lev,
|  |  | indent,
|  |  | info,
|  |  | format )

## ◆ spa_debug_log_mem

#define spa_debug_log_mem | ( |  | l,
|  |  | lev,
|  |  | indent,
|  |  | data,
|  |  | len )

## ◆ spa_debug_log_dict

#define spa_debug_log_dict | ( |  | l,
|  |  | lev,
|  |  | indent,
|  |  | dict )

## Function Documentation

## ◆ spa_debugc_buffer()

static int spa_debugc_buffer | ( | struct spa_debug_context * | ctx,
|  | int | indent,
|  | const struct spa_buffer * | buffer )
| inlinestatic

## ◆ spa_debug_buffer()

static int spa_debug_buffer | ( | int | indent,
|  | const struct spa_buffer * | buffer )
| inlinestatic

## ◆ spa_debugc_dict()

static int spa_debugc_dict | ( | struct spa_debug_context * | ctx,
|  | int | indent,
|  | const struct spa_dict * | dict )
| inlinestatic

## ◆ spa_debug_dict()

static int spa_debug_dict | ( | int | indent,
|  | const struct spa_dict * | dict )
| inlinestatic

Examples
  bluez-session.c.

## ◆ spa_debug_strbuf_format_value()

static int spa_debug_strbuf_format_value | ( | struct spa_strbuf * | buffer,
|  | const struct spa_type_info * | info,
|  | uint32_t | type,
|  | void * | body,
|  | uint32_t | size )
| inlinestatic

## ◆ spa_debug_format_value()

static int spa_debug_format_value | ( | const struct spa_type_info * | info,
|  | uint32_t | type,
|  | void * | body,
|  | uint32_t | size )
| inlinestatic

## ◆ spa_debugc_format()

static int spa_debugc_format | ( | struct spa_debug_context * | ctx,
|  | int | indent,
|  | const struct spa_type_info * | info,
|  | const struct spa_pod * | format )
| inlinestatic

## ◆ spa_debug_format()

static int spa_debug_format | ( | int | indent,
|  | const struct spa_type_info * | info,
|  | const struct spa_pod * | format )
| inlinestatic

Examples
  export-sink.c, export-source.c, video-play-fixate.c, video-play-pull.c, video-play-reneg.c, video-play.c, and video-src-fixate.c.

## ◆ spa_debug_log_log()

static void spa_debug_log_log | ( | struct spa_debug_context * | ctx,
|  | const char * | fmt,
|  |  | ... )
| inlinestatic

## ◆ spa_debugc_mem()

static int spa_debugc_mem | ( | struct spa_debug_context * | ctx,
|  | int | indent,
|  | const void * | data,
|  | size_t | size )
| inlinestatic

## ◆ spa_debug_mem()

static int spa_debug_mem | ( | int | indent,
|  | const void * | data,
|  | size_t | size )
| inlinestatic

## ◆ spa_debugc_port_info()

static int spa_debugc_port_info | ( | struct spa_debug_context * | ctx,
|  | int | indent,
|  | const struct spa_port_info * | info )
| inlinestatic

## ◆ spa_debug_port_info()

static int spa_debug_port_info | ( | int | indent,
|  | const struct spa_port_info * | info )
| inlinestatic

## ◆ spa_debugc_pod_value()

static int spa_debugc_pod_value | ( | struct spa_debug_context * | ctx,
|  | int | indent,
|  | const struct spa_type_info * | info,
|  | uint32_t | type,
|  | void * | body,
|  | uint32_t | size )
| inlinestatic

## ◆ spa_debugc_pod()

static int spa_debugc_pod | ( | struct spa_debug_context * | ctx,
|  | int | indent,
|  | const struct spa_type_info * | info,
|  | const struct spa_pod * | pod )
| inlinestatic

## ◆ spa_debug_pod_value()

static int spa_debug_pod_value | ( | int | indent,
|  | const struct spa_type_info * | info,
|  | uint32_t | type,
|  | void * | body,
|  | uint32_t | size )
| inlinestatic

## ◆ spa_debug_pod()

static int spa_debug_pod | ( | int | indent,
|  | const struct spa_type_info * | info,
|  | const struct spa_pod * | pod )
| inlinestatic

Examples
  local-v4l2.c, spa/examples/example-control.c, spa/examples/local-libcamera.c, spa/examples/local-v4l2.c, video-play.c, and video-src.c.

## ◆ spa_debug_type_find()

static const struct spa_type_info * spa_debug_type_find | ( | const struct spa_type_info * | info,
|  | uint32_t | type )
| inlinestatic

## ◆ spa_debug_type_short_name()

static const char * spa_debug_type_short_name | ( | const char * | name | ) |
| inlinestatic

## ◆ spa_debug_type_find_name()

static const char * spa_debug_type_find_name | ( | const struct spa_type_info * | info,
|  | uint32_t | type )
| inlinestatic

Examples
  tutorial5.c.

## ◆ spa_debug_type_find_short_name()

static const char * spa_debug_type_find_short_name | ( | const struct spa_type_info * | info,
|  | uint32_t | type )
| inlinestatic

## ◆ spa_debug_type_find_type()

static uint32_t spa_debug_type_find_type | ( | const struct spa_type_info * | info,
|  | const char * | name )
| inlinestatic

## ◆ spa_debug_type_find_short()

static const struct spa_type_info * spa_debug_type_find_short | ( | const struct spa_type_info * | info,
|  | const char * | name )
| inlinestatic

## ◆ spa_debug_type_find_type_short()

static uint32_t spa_debug_type_find_type_short | ( | const struct spa_type_info * | info,
|  | const char * | name )
| inlinestatic